| Class Specialization Bit Packed Pair Stores two arbitrary objects. Saves memory by packing bits with bit fields.
Pair
Bit Packed Pair
Pair<T1, T2, BitPacked<BITSIZE1, BITSIZE2> > Include Headers seqan/basic.h Parameters
T1 | The type of the first object.
T2 | The type of the second object.
BITSIZE1 | Number of bits to store T1.
BITSIZE2 | Number of bits to store T2.
Remarks Memory access could be slower. Direct access to members by pointers is not allowed. Functions value() is not implemented yet since there it would require using a proxy. Use getValue(), assignValue(), moveValue(), setValue() instead. Specialization of Pair Metafunctions
Cargo | Type of additional data stored in an object. (Pair)
Key | Key type of a key to cargo mapping. (Pair)
LENGTH | Number of elements in a fixed-size container. (Pair)
Spec | The spec of a class. (Pair)
Value | Type of the items in the container or behind an iterator. (Pair)
Data Members
i1 | T1 object
i2 | T2 object
Member Functions
Pair | Constructor
Functions
getSeqNo | Returns the sequence number of a position. (Pair)
getSeqOffset | Returns the local sequence offset of a position. (Pair)
posGlobalize | Converts a local/global to a global position. (Pair)
posLocalize | Converts a local/global to a local position. (Pair)
posLocalToX | Converts a local to a local/global position. (Pair)
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2014/10/13 16:13:00